/*
 *    GeoTools - The Open Source Java GIS Toolkit
 *    http://geotools.org
 *
 *    (C) 2005-2008, Open Source Geospatial Foundation (OSGeo)
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation;
 *    version 2.1 of the License.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 */
package org.geotools.filter.function;

// this code is autogenerated - you shouldnt be modifying it!

import static org.geotools.filter.capability.FunctionNameImpl.parameter;

import org.geotools.filter.FunctionExpressionImpl;
import org.geotools.filter.capability.FunctionNameImpl;
import org.opengis.filter.capability.FunctionName;

public class FilterFunction_equalTo extends FunctionExpressionImpl {

    public static FunctionName NAME =
            new FunctionNameImpl(
                    "equalTo",
                    parameter(
                            "equalTo",
                            Boolean.class,
                            "equal to",
                            "Can be used to compare for equality two numbers, two strings, two dates, and so on."),
                    parameter(
                            "a",
                            Object.class,
                            "a",
                            "Can be any object type: date, string, number, etc..."),
                    parameter(
                            "b",
                            Object.class,
                            "b",
                            "Can be any object type: date, string, number, etc..."));

    public FilterFunction_equalTo() {
        super(NAME);
    }

    public Object evaluate(Object feature) {
        Object arg0;
        Object arg1;

        try { // attempt to get value and perform conversion
            arg0 = (Object) getExpression(0).evaluate(feature);
        } catch (Exception e) // probably a type error
        {
            throw new IllegalArgumentException(
                    "Filter Function problem for function equalTo argument #0 - expected type Object");
        }

        try { // attempt to get value and perform conversion
            arg1 = (Object) getExpression(1).evaluate(feature);
        } catch (Exception e) // probably a type error
        {
            throw new IllegalArgumentException(
                    "Filter Function problem for function equalTo argument #1 - expected type Object");
        }

        return Boolean.valueOf(StaticGeometry.equalTo(arg0, arg1));
    }
}
