/*
 *    GeoTools - The Open Source Java GIS Toolkit
 *    http://geotools.org
 *
 *    (C) 2011, Open Source Geospatial Foundation (OSGeo)
 *    (C) 2005, Open Geospatial Consortium Inc.
 *
 *    All Rights Reserved. http://www.opengis.org/legal/
 */
package org.opengis.filter.spatial;

import org.opengis.annotation.XmlElement;
import org.opengis.filter.MultiValuedFilter;

/**
 * Abstract base class for operators that perform a spatial comparison on geometric attributes of a
 * feature.
 *
 * @version <A HREF="http://www.opengis.org/docs/02-059.pdf">Implementation specification 1.0</A>
 * @author Chris Dillard (SYS Technologies)
 * @since GeoAPI 2.0
 */
@XmlElement("SpatialOpsType")
public interface SpatialOperator extends MultiValuedFilter {}
